Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::ClusterCullingCallback Class Reference

Implements cluster culling to cull back facing drawables. More...

Inheritance diagram for osg::ClusterCullingCallback:

[legend]
List of all members.

## Public Member Functions
| ClusterCullingCallback ()
| ClusterCullingCallback (const ClusterCullingCallback &ccc, const CopyOp &copyop)
| ClusterCullingCallback (const osg::Vec3 &controlPoint, const osg::Vec3 &normal, float deviation)
| ClusterCullingCallback (const osg::Drawable *drawable)
| META_Object (osg, ClusterCullingCallback)
void | computeFrom (const osg::Drawable *drawable)
| Computes the control point, normal, and deviation from the given drawable contents.
void | transform (const osg::Matrixd &matrix)
| Transform the ClusterCullingCallback's positional members to a new coordinate frame.
void | set (const osg::Vec3 &controlPoint, const osg::Vec3 &normal, float deviation, float radius)
void | setControlPoint (const osg::Vec3 &controlPoint)
const osg::Vec3 & | getControlPoint () const
void | setNormal (const osg::Vec3 &normal)
const osg::Vec3 & | getNormal () const
void | setRadius (float radius)
float | getRadius () const
void | setDeviation (float deviation)
float | getDeviation () const
virtual bool | cull (osg::NodeVisitor *, osg::Drawable *, osg::State *) const
| do customized cull code, return true if drawable should be culled.
virtual void | operator() (Node *node, NodeVisitor *nv)
| Callback method called by the NodeVisitor when visiting a node.
## Protected Member Functions
virtual | ~ClusterCullingCallback ()
## Protected Attributes
osg::Vec3 | _controlPoint
osg::Vec3 | _normal
float | _radius
float | _deviation

## Detailed Description

Implements cluster culling to cull back facing drawables.

Derived from Drawable::CullCallback.

## Constructor & Destructor Documentation

osg::ClusterCullingCallback::ClusterCullingCallback | ( |  | ) |

osg::ClusterCullingCallback::ClusterCullingCallback | ( | const ClusterCullingCallback & | ccc,
|  | const CopyOp & | copyop
| ) |

osg::ClusterCullingCallback::ClusterCullingCallback | ( | const osg::Vec3 & | controlPoint,
|  | const osg::Vec3 & | normal,
|  | float | deviation
| ) |

osg::ClusterCullingCallback::ClusterCullingCallback | ( | const osg::Drawable * | drawable | ) |

virtual osg::ClusterCullingCallback::~ClusterCullingCallback | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void osg::ClusterCullingCallback::computeFrom | ( | const osg::Drawable * | drawable | ) |

| Computes the control point, normal, and deviation from the given drawable contents.

virtual bool osg::ClusterCullingCallback::cull | ( | osg::NodeVisitor * | ,
|  | osg::Drawable * | ,
|  | osg::State * |
| ) | const`[virtual]`

| do customized cull code, return true if drawable should be culled. Reimplemented from osg::Drawable::CullCallback.

const osg::Vec3& osg::ClusterCullingCallback::getControlPoint | ( |  | ) | const`[inline]`

float osg::ClusterCullingCallback::getDeviation | ( |  | ) | const`[inline]`

const osg::Vec3& osg::ClusterCullingCallback::getNormal | ( |  | ) | const`[inline]`

float osg::ClusterCullingCallback::getRadius | ( |  | ) | const`[inline]`

osg::ClusterCullingCallback::META_Object | ( | osg | ,
|  | ClusterCullingCallback |
| ) |

virtual void osg::ClusterCullingCallback::operator() | ( | Node * | node,
|  | NodeVisitor * | nv
| ) | `[virtual]`

| Callback method called by the NodeVisitor when visiting a node. Reimplemented from osg::NodeCallback.

void osg::ClusterCullingCallback::set | ( | const osg::Vec3 & | controlPoint,
|  | const osg::Vec3 & | normal,
|  | float | deviation,
|  | float | radius
| ) |

void osg::ClusterCullingCallback::setControlPoint | ( | const osg::Vec3 & | controlPoint | ) | `[inline]`

void osg::ClusterCullingCallback::setDeviation | ( | float | deviation | ) | `[inline]`

void osg::ClusterCullingCallback::setNormal | ( | const osg::Vec3 & | normal | ) | `[inline]`

void osg::ClusterCullingCallback::setRadius | ( | float | radius | ) | `[inline]`

void osg::ClusterCullingCallback::transform | ( | const osg::Matrixd & | matrix | ) |

| Transform the ClusterCullingCallback's positional members to a new coordinate frame.

## Member Data Documentation

osg::Vec3 osg::ClusterCullingCallback::_controlPoint`[protected]`

float osg::ClusterCullingCallback::_deviation`[protected]`

osg::Vec3 osg::ClusterCullingCallback::_normal`[protected]`

float osg::ClusterCullingCallback::_radius`[protected]`

The documentation for this class was generated from the following file:

- ClusterCullingCallback